TTF_SetFontSize(3)

NAME
TTF_SetFontSize - Set a font's size dynamically.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontSize(TTF_Font *font, float ptsize);

DESCRIPTION
This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

FUNCTION PARAMETERS

font
    the font to resize.

ptsize
    the new point size.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontSize(3)